Name:           fest-util
Version:        1.2.0
Release:        3%{?dist}
Summary:        FEST Util

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://fest.easytesting.org

# git clone https://github.com/alexruiz/fest-util.git
# cd fest-util
# git archive --prefix="fest-util-1.2.0/" --format=tar \
#   d0e86f631f9afcbcc462945894c3bc20ec4d1289 | \
#   bzip2 - >../fest-util-1.2.0.tar.bz2
Source0:        %{name}-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires:	java-devel
BuildRequires:  junit
BuildRequires:  jpackage-utils
BuildRequires:  maven
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-surefire
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-dependency-plugin

BuildRequires:  mockito
BuildRequires:  fest-common = 1.0.11

Requires:	java
Requires:       jpackage-utils
Requires:       mockito
Requires:       junit
Requires:       fest-common = 1.0.11

%description
Utility methods used by FEST modules

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q

%build
mvn-rpmbuild \
        -e \
        install javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar  %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt
%doc README.md

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt

%changelog

* Wed May 2 2012 Mario Torre <neugens@redhat.com> 1.2.0-3
- Fix dependencies
- Remove README.md from javadoc subpackage

* Fri Apr 27 2012 Mario Torre <neugens@redhat.com> 1.2.0-2
- Fix dependencies

* Tue Apr 24 2012 Mario Torre <neugens@redhat.com> 1.2.0-1
- Initial package
